---
title: Body.bodyUsed
slug: Web/API/Body/bodyUsed
tags:
  - API
  - BODY
  - Experimental
  - Fetch
  - Property
  - Reference
  - bodyUsed
---
<div>{{APIRef("Fetch")}}</div>

<p>The <strong><code>bodyUsed</code></strong> read-only property of the {{domxref("Body")}} mixin contains a {{jsxref("Boolean")}} that indicates whether the body has been read yet.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>myBodyUsed</em> = <em>response</em>.bodyUsed;</pre>

<h3 id="Value">Value</h3>

<p>A {{jsxref("Boolean")}}.</p>

<h2 id="Example">Example</h2>

<p>In our <a href="https://github.com/mdn/fetch-examples/tree/master/fetch-request">fetch request example</a> (run <a href="https://mdn.github.io/fetch-examples/fetch-request/">fetch request live</a>), we create a new request using the {{domxref("Request.Request","Request()")}} constructor, then use it to fetch a JPG. When the fetch is successful, we read a {{domxref("Blob")}} out of the response using <code>blob()</code>, put it into an object URL using {{domxref("URL.createObjectURL")}}, and then set that URL as the source of an {{htmlelement("img")}} element to display the image.</p>

<p>Notice that we log <code>response.bodyUsed</code> to the console once before the <code>response.blob()</code> call and once after. This returns <code>false</code> before and <code>true</code> afterwards, as at that point the body has been read.</p>

<h3 id="HTML_Content">HTML Content</h3>

<pre class="brush: html">&lt;img class="my-image" src="https://wikipedia.org/static/images/project-logos/frwiki-1.5x.png"&gt;
</pre>

<h3 id="JS_Content">JS Content</h3>

<pre class="brush: js">var myImage = document.querySelector('.my-image');
fetch('https://upload.wikimedia.org/wikipedia/commons/7/77/Delete_key1.jpg').then(function(response) {
    console.log(response.bodyUsed);
    var res = response.blob();
    console.log(response.bodyUsed);
    return res;
}).then(function(response) {
    var objectURL = URL.createObjectURL(response);
    myImage.src = objectURL;
});</pre>

<p>{{ EmbedLiveSample('Example', '100%', '250px') }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Fetch','#dom-body-bodyused','bodyUsed')}}</td>
   <td>{{Spec2('Fetch')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Body.bodyUsed")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/ServiceWorker_API">ServiceWorker API</a></li>
 <li><a href="/en-US/docs/Web/HTTP/CORS">HTTP access control (CORS)</a></li>
 <li><a href="/en-US/docs/Web/HTTP">HTTP</a></li>
</ul>
